[Swift-commit] r4488 - in www: . inc papers

davidk at ci.uchicago.edu davidk at ci.uchicago.edu
Wed May 18 13:53:15 CDT 2011


Author: davidk
Date: 2011-05-18 13:53:15 -0500 (Wed, 18 May 2011)
New Revision: 4488

Added:
   www/papers/SwiftLanguageForDistributedParallelScripting.pdf
Modified:
   www/inc/home_sidebar.php
   www/papers/index.php
   www/push_to.sh
Log:
Improvements to website push script
Added references to new paper


Modified: www/inc/home_sidebar.php
===================================================================
--- www/inc/home_sidebar.php	2011-05-17 22:48:46 UTC (rev 4487)
+++ www/inc/home_sidebar.php	2011-05-18 18:53:15 UTC (rev 4488)
@@ -1,6 +1,8 @@
 
 <h3>What's New? </h3>
 <h4>Paper published</h4>
+<p><em>Swift: A Language for Distributed Parallel Scripting</em> [<a href="../papers/SwiftLanguageForDistributedParallelScripting.pdf" target="_blank">pdf</a>]</p><br />
+<h4>Paper published</h4>
 <p><em>Parallel Scripting for Applications at the Petascale and Beyond</em> [<a href="../papers/SwiftParallelScripting.pdf" target="_blank">pdf</a>]</p><br />
 <h4>SWIFT 0.92.1 RELEASE - 2011/04/13</h4>
 <p>

Added: www/papers/SwiftLanguageForDistributedParallelScripting.pdf
===================================================================
(Binary files differ)


Property changes on: www/papers/SwiftLanguageForDistributedParallelScripting.pdf
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Modified: www/papers/index.php
===================================================================
--- www/papers/index.php	2011-05-17 22:48:46 UTC (rev 4487)
+++ www/papers/index.php	2011-05-18 18:53:15 UTC (rev 4488)
@@ -29,6 +29,13 @@
 <h3>Swift Technology and SwiftScript Application Papers</h3>
 
 <div class="publication">
+	<span class="authors">Michael Wilde, Mihael Hategan, Justin M. Wozniak, Ben Clifford, Daniel S. Katz, Ian Foster</span>
+        <span class="tite">Swift: A language for distributed parallel scripting</span>
+	<span class="source">Parallel Computing</span>
+        <span class="date">2011</span>
+</div>
+
+<div class="publication">
 	<span class="authors">Joe DeBartolo, Glen Hocky, Michael Wilde, Jinbo Xu, Karl F. Freed, and Tobin R. Sosnick</span>
 	<span class="title">Protein Structure Prediction Enhanced with Evolutionary Diversity: SPEED</span>
 	<span class="source">Protein Science Journal</span>
@@ -36,7 +43,7 @@
 </div>
 
 <div class="publication">
-	<span class="authors">Mihcael Wilde, Ian Foster, Kamil Iskra, Pete Beckman, Zhao Zhang, Allan Espinosa, Mihael Hategan, Ben Clifford, Ioan Raicu</span>
+	<span class="authors">Michael Wilde, Ian Foster, Kamil Iskra, Pete Beckman, Zhao Zhang, Allan Espinosa, Mihael Hategan, Ben Clifford, Ioan Raicu</span>
 	<span class="title">Parallel Scripting for Applications at the Petascale and Beyond</span>
 	<span class="source">Computer, Vol. 42, No. 11</span>
 	<span class="date">2009</span>

Modified: www/push_to.sh
===================================================================
--- www/push_to.sh	2011-05-17 22:48:46 UTC (rev 4487)
+++ www/push_to.sh	2011-05-18 18:53:15 UTC (rev 4488)
@@ -1,5 +1,6 @@
 #!/bin/bash
 
+# Verify command line arguments
 if [ -n "$1" ]; then
    DESTINATION=$1
 else
@@ -7,10 +8,28 @@
    exit 1
 fi
 
-FILESTOCOPY="about bric-flow.jpg css downloads guides index.html links papers sitemap.xml apps bric-flow-thm.jpg dhtml.js images info main otherdoc push_to.sh shBrushVDL2.js style.css template_info
-        docs inc javadoc nostyle.css packages README.txt shCoreu.js support tests"
+# Make sure we are calling this script in the same directory as the script is located
+pushd $(dirname $(readlink -f $0)) > /dev/null 2>&1
 
-for file in $FILESTOCOPY
+# Make sure destination directory exists
+if [ ! -d "$DESTINATION" ]; then
+   mkdir $DESTINATION > /dev/null 2>&1 || exit 1
+fi
+
+# Copy directory structure
+DIRS_TO_COPY=`find . -mindepth 1 -type d|grep -vi svn|sed s/^.//`
+for dir in $DIRS_TO_COPY
 do
-   cp -vpr $file $DESTINATION
+   mkdir $DESTINATION"$dir" > /dev/null 2>&1
+   chmod a+r $DESTINATION"$dir" || exit 1
 done
+
+# Copy files to destination
+FILES_TO_COPY=`find . -mindepth 1 -type f |grep -vi svn|sed s/^.//`
+for file in $FILES_TO_COPY
+do
+   cp -v .$file "$DESTINATION"`dirname $file` || exit 1
+   chmod a+r "$DESTINATION"`dirname $file`/`basename $file`
+done
+
+popd > /dev/null 2>&1




More information about the Swift-commit mailing list